Altibase.jdbc.driver.cm

## Interface CmSocket

All Known Implementing Classes:
  CmRdmaSocket

    public interface CmSocket

### Field Summary

Fields
`static int` `INVALID_SOCKTFD`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()`
`CmConnType` `getConnType()`
`int` `getSocketFD()`
`int` `getSockRcvBufSize()`
`int` `getSockSndBufSize()`
`void` `open(java.net.SocketAddress aSockAddr, java.lang.String aBindAddr, int aLoginTimeout)`
`int` `read(java.nio.ByteBuffer aBuffer)`
`void` `setResponseTimeout(int aResponseTimeout)`
`void` `setSockRcvBufSize(int aSockRcvBufSize)`
`void` `setSockSndBufSize(int aSockSndBufSize)`
`int` `write(java.nio.ByteBuffer aBuffer)`

### Field Detail

#### INVALID_SOCKTFD

    static final int INVALID_SOCKTFD

See Also:
  Constant Field Values

### Method Detail

#### getConnType

    CmConnType getConnType()

#### open

    void open(java.net.SocketAddress aSockAddr,
              java.lang.String aBindAddr,
              int aLoginTimeout)
       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### close

    void close()
        throws java.io.IOException

Throws:
  `java.io.IOException`

#### read

    int read(java.nio.ByteBuffer aBuffer)
      throws java.io.IOException

Throws:
  `java.io.IOException`

#### write

    int write(java.nio.ByteBuffer aBuffer)
       throws java.io.IOException

Throws:
  `java.io.IOException`

#### getSockSndBufSize

    int getSockSndBufSize()

#### getSockRcvBufSize

    int getSockRcvBufSize()

#### setSockSndBufSize

    void setSockSndBufSize(int aSockSndBufSize)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

#### setSockRcvBufSize

    void setSockRcvBufSize(int aSockRcvBufSize)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

#### getSocketFD

    int getSocketFD()
             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setResponseTimeout

    void setResponseTimeout(int aResponseTimeout)
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`